Bug 490691 - nagios-plugins-dns doesn't check server specified with -s
nagios-plugins-dns doesn't check server specified with -s
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: nagios-plugins (Show other bugs)
10
All Linux
low Severity medium
: ---
: ---
Assigned To: Mike McGrath
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-03-17 12:47 EDT by Jeroen van Meeuwen
Modified: 2009-12-18 04:02 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-12-18 04:02:50 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jeroen van Meeuwen 2009-03-17 12:47:17 EDT
Description of problem:

[root@vito ~]# /usr/lib/nagios/plugins/check_dns -s 194.109.6.66 -H www.kanarip.com
DNS OK: 1.013 second response time. www.kanarip.com returns 10.10.10.50|time=1.012664s;;;0.000000
[root@vito ~]# dig @194.109.6.66 www.kanarip.com

; <<>> DiG 9.5.1-P1-RedHat-9.5.1-1.P1.fc10 <<>> @194.109.6.66 www.kanarip.com
; (1 server found)
;; global options:  printcmd
;; Got answer:
;; ->>HEADER<<- opcode: QUERY, status: NOERROR, id: 39403
;; flags: qr rd ra; QUERY: 1, ANSWER: 2, AUTHORITY: 0, ADDITIONAL: 0

;; QUESTION SECTION:
;www.kanarip.com.		IN	A

;; ANSWER SECTION:
www.kanarip.com.	86342	IN	CNAME	pinky.kanarip.com.
pinky.kanarip.com.	86342	IN	A	82.94.126.50

;; Query time: 1946 msec
;; SERVER: 194.109.6.66#53(194.109.6.66)
;; WHEN: Tue Mar 17 17:43:48 2009
;; MSG SIZE  rcvd: 69

Version-Release number of selected component (if applicable):

[root@vito ~]# rpm -qv nagios nagios-plugins-dns
nagios-3.0.5-1.fc10.i386
nagios-plugins-dns-1.4.13-11.fc10.i386


Additional info:

This is a Split DNS setup
Comment 1 Jeroen van Meeuwen 2009-03-17 12:47:45 EDT
This isn't rawhide... this is f10 ;-)
Comment 2 Jeroen van Meeuwen 2009-03-17 12:49:08 EDT
Come to think of it, I think it *does* check against the server specified, but since it's a CNAME, then tries to resolve locally while it should be using the same server.

==
[root@vito ~]# /usr/lib/nagios/plugins/check_dns -s 194.109.6.66 -H pinky.kanarip.com
DNS OK: 0.048 seconds response time. pinky.kanarip.com returns 82.94.126.50|time=0.048339s;;;0.000000
==
Comment 3 Sven 2009-03-24 23:33:42 EDT
In nagios-plugins-dns-1.4.13-11.fc10.x86_64, looking at Wireshark it first queries the host specified with -s, then a second later queries the host listed in resolv.conf, thus always returning an OK even if the -s host is down/etc. (assuming the local resolver's working)
Comment 4 Sven 2009-03-24 23:54:46 EDT
(In reply to comment #3)
> In nagios-plugins-dns-1.4.13-11.fc10.x86_64, looking at Wireshark it first
> queries the host specified with -s, then a second later queries the host listed
> in resolv.conf, thus always returning an OK even if the -s host is down/etc.
> (assuming the local resolver's working)  

Actually, if check_dns is using /usr/bin/nslookup as strings suggests it is, nslookup behaves the same way if you pass a specific server to query on the command line - it falls back to the local resolver if the specified server fails.
Comment 5 Bug Zapper 2009-11-18 06:32:39 EST
This message is a reminder that Fedora 10 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 10.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '10'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 10's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 10 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 6 Bug Zapper 2009-12-18 04:02:50 EST
Fedora 10 changed to end-of-life (EOL) status on 2009-12-17. Fedora 10 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.